/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.orchestration.core;

import org.ow2.petals.component.framework.api.message.Exchange;
import org.ow2.petals.component.framework.process.async.AsyncContext;
import org.ow2.petals.orchestration.Orchestrator;

public class OrchestrationAsyncContext extends AsyncContext {

	private Orchestrator originalOrchestrator;
	
    private final Exchange originalExchange;

	public OrchestrationAsyncContext(Exchange originalExchange) {
		super();
		this.originalExchange = originalExchange;
	}
	
	public OrchestrationAsyncContext(Exchange originalExchange, long timeout) {
		super(timeout);
		this.originalExchange = originalExchange;
	}

	public Orchestrator getOriginalOrchestrator() {
		return originalOrchestrator;
	}

	public void setOriginalOrchestrator(Orchestrator originalOrchestrator) {
		this.originalOrchestrator = originalOrchestrator;
	}

    public Exchange getOriginalExchange() {
        return originalExchange;
    }

}
